# $Revision: 1.10 $, $Date: 2001/05/06 23:27:02 $
Summary:	Displays a periodic table of the elements
Summary(pl):	Wywietla ukad okresowy pierwiastkw
Name:		gperiodic
Version:	1.3.0
Release:	1
License:	GPL
Group:		X11/Applications
Group(pl):	X11/Aplikacje
Source0:	ftp://ftp.seul.org/pub/gperiodic/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fix.patch
URL:		http://gperiodic.seul.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Gperiodic displays a periodic table of the elements, allowing you to
browse through the elements, and view detailed information about each
element.

%description -l pl
Gperiodic wywietla ukad okresowy pierwiastkw. Pozwalajc przglda
ukad i wywietla szczegowe informacje o pierwiastkach.

%prep
%setup -q -n gperiodic
%patch -p1

%build
libtoolize --copy --force
gettextize --copy --force
aclocal
autoconf
rm -f missing
automake -a -c
%configure

%{__make} gperiodic_LDADD="-lreadline"

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%{__install} man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

gzip -9nf README ChangeLog

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gperiodic.spec,v $
Revision 1.10  2001/05/06 23:27:02  kloczek
- updated to 1.3.0,
- make libtool hapy,
- many small updates in %build and %install.

Revision 1.9  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.8  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.5  2000/04/27 16:11:40  arturs
- added /mnt/3/CVS/SPECSescription -l pl

Revision 1.4  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.2  1999/11/16 21:56:44  kloczek
- release 2,
- rebuild against ncurses 5.0.
